## Apache Zeta Components Manual :: Docs For Class ezcWebdavDigestAuthenticator

### Webdav::ezcWebdavDigestAuthenticator

### Interface ezcWebdavDigestAuthenticator

Interface for Digest authentication mechanism.

This interface must be implemented by objects that provide authentication through a username/password combination, as defined by the HTTP Digest authentication method.

An instance of a class implementing this interface may be used in the ezcWebdavServer $auth property. The WebDAV server will then use this instance to perform authentication. In addition, classes may implement ezcWebdavBasicAuthenticator and are highly recommended to do so.

Source for this file: /Webdav/src/interfaces/digest_authenticator.php

    ezcWebdavAnonymousAuthenticator
       |
       --ezcWebdavBasicAuthenticator
          |
          --ezcWebdavDigestAuthenticator

Version: | //autogentag//

### Method Summary

public bool | `authenticateDigest( $data )` Checks authentication for the given $data.

### Inherited Methods

From ezcWebdavBasicAuthenticator
public bool | `ezcWebdavBasicAuthenticator::authenticateBasic()` Checks authentication for the given $user.
From ezcWebdavAnonymousAuthenticator
public bool | `ezcWebdavAnonymousAuthenticator::authenticateAnonymous()` Checks authentication for the anonymous user.

### Methods

#### authenticateDigest

bool authenticateDigest( ezcWebdavDigestAuth $data )

Checks authentication for the given $data.

This method performs authentication as defined by the HTTP Digest authentication mechanism. The received struct contains all information necessary.

If authentication succeeded true is returned, otherwise false.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$data` | ezcWebdavDigestAuth |

Documentation generated by phpDocumentor 1.4.3